Package com.sun.mirror.declaration

# Interface ParameterDeclaration

All Superinterfaces:
  `Declaration`

public interface ParameterDeclaration extends Declaration
Represents a formal parameter of a method or constructor.

Since:
  1.5
Version:
  1.1 04/01/26
Author:
  Joseph D. Darcy, Scott Seligman

## Method Summary

Modifier and Type
Method
Description
`TypeMirror`
`getType()`
Returns the type of this parameter.

### Methods inherited from interface com.sun.mirror.declaration.Declaration

`accept, equals, getAnnotation, getAnnotationMirrors, getDocComment, getModifiers, getPosition, getSimpleName`

## Method Details

### getType

TypeMirror getType()
Returns the type of this parameter.

Returns:
  the type of this parameter